> For the complete documentation index, see [llms.txt](https://docs.devtodev.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devtodev.com/3rd-party-sources/ad-revenue.md).

# Ad revenue

## **List of available ad networks**

devtodev provides a connection to different ad networks to collect ad revenue data on a daily basis.&#x20;

* [AdColony](/3rd-party-sources/ad-revenue/adcolony.md)
* [AdMob](/3rd-party-sources/ad-revenue/admob.md)
* Applovin
* [Facebook](/3rd-party-sources/ad-revenue/facebook.md)
* Fyber
* HyprMX
* [MoPub](/3rd-party-sources/ad-revenue/mopub.md)
* myTarget
* [Unity Ads](/3rd-party-sources/ad-revenue/unity.md)
* [Vungle](/3rd-party-sources/ad-revenue/vungle.md)
* Yandex

## **List of available ad mediation platforms**

There are also ad mediation platforms that provide us user-level data. This is the ad revenue information that is included in all devtodev’s monetization and game reports: Basic Metrics, Acquisition (Dashboard, Monitoring, Detailed stats, LTV prediction), Monetization section, Cohort analysis, In-game analysis (Player levels, Cumulative metrics by levels).

* ironSource
* Applovin MAX


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devtodev.com/3rd-party-sources/ad-revenue.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
